import { renderIcon, renderImg } from '@/utils/index';
import HandleFeedback from '@/assets/icons/handleFeedback.png';
import {
  DashboardOutlined,
  ExclamationCircleOutlined,
  ProfileOutlined,
  CheckCircleOutlined,
  SettingOutlined,
  ControlOutlined,
  ProjectOutlined,
  WalletOutlined,
  TableOutlined,
  SafetyOutlined,
  BellOutlined,
  BookOutlined,
  ToolOutlined,
  PictureOutlined,
  CameraOutlined,
  ApartmentOutlined,
} from '@vicons/antd';
import {
  OptionsSharp,
  DesktopOutline,
  DocumentTextOutline,
  DiamondOutline,
  FileTrayFullOutline,
} from '@vicons/ionicons5';

//前端路由图标映射表
export const constantRouterIcon = {
  DashboardOutlined: renderIcon(DashboardOutlined),
  OptionsSharp: renderIcon(OptionsSharp),
  ExclamationCircleOutlined: renderIcon(ExclamationCircleOutlined),
  ProfileOutlined: renderIcon(ProfileOutlined),
  CheckCircleOutlined: renderIcon(CheckCircleOutlined),
  SettingOutlined: renderIcon(SettingOutlined),
  ControlOutlined: renderIcon(ControlOutlined),
  WalletOutlined: renderIcon(WalletOutlined),
  DesktopOutline: renderIcon(DesktopOutline),
  ProjectOutlined: renderIcon(ProjectOutlined),
  DocumentTextOutline: renderIcon(DocumentTextOutline),
  DiamondOutline: renderIcon(DiamondOutline),
  TableOutlined: renderIcon(TableOutlined),
  SafetyOutlined: renderIcon(SafetyOutlined),
  BellOutlined: renderIcon(BellOutlined),
  BookOutlined: renderIcon(BookOutlined),
  ToolOutlined: renderIcon(ToolOutlined),
  PictureOutlined: renderIcon(PictureOutlined),
  CameraOutlined: renderIcon(CameraOutlined),
  ApartmentOutlined: renderIcon(ApartmentOutlined),
  FileTrayFullOutline: renderIcon(FileTrayFullOutline),
  HandleFeedback: renderImg(HandleFeedback),
};
